/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.removelinebreaksreplacesystemproperty;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.io.BufferedWriter;
import java.io.FileWriter;

/**
 *
 * @author omozegieaziegbe
 */
public class RemoveLineBreaksReplaceSystemProperty {

    public static void main(String[] args) throws IOException {

        // Read the file content
        String content = new String(Files.readAllBytes(Paths.get("src/main/resources/javacodegeeks.txt")));

        // Replace line separator with an empty string       
        String noLineBreaks = content.replace(System.getProperty("line.separator"), "");

        try ( // Write the modified content to a new file (optional)
                BufferedWriter writer = new BufferedWriter(new FileWriter("src/main/resources/output.txt"))) {
            writer.write(noLineBreaks);
        }

        System.out.println(noLineBreaks);
    }
}
