/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.removelinebreaksreadalllines;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class RemoveLineBreaksReadAllLines {

    public static String removeLineBreaksReadAllLines(String filename) throws IOException {

        Path filePath = Paths.get("src/main/resources/" + filename);

        List<String> lines = Files.readAllLines(filePath, StandardCharsets.UTF_8);

        // Join the List into a single String
        String content = String.join("", lines);

        return content;

    }

    public static void main(String[] args) {
        try {
            // Call the removeLineBreaksReadAllLines method 
            String result = removeLineBreaksReadAllLines("javacodegeeks.txt");
            System.out.println(result);
        } catch (IOException e) {
        }
    }
}
