/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.removelinebreaksregex;

import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

/**
 *
 * @author omozegieaziegbe
 */
public class RemoveLineBreaksRegex {

    public static String readFromFile(String filename) throws Exception {
        Path filePath = Paths.get("src/main/resources/" + filename);
        return Files.readString(filePath, StandardCharsets.UTF_8);
    }

    public static String removeLineBreaksRegex(String text) {
        // Remove any combination of \r and \n with an empty string
        return text.replaceAll("[\\r\\n]+", "");
    }

    public static void main(String[] args) {
        try {
            // Call the removeLineBreaksReplace method with content as argument
            String content = readFromFile("javacodegeeks.txt");
            String result = removeLineBreaksRegex(content);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
