/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.removelinebreaks;

import java.nio.file.Paths;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

/**
 *
 * @author omozegieaziegbe
 */
public class RemoveLineBreaksReplace {  
    

   public static String readFromFile(String filename) throws Exception {
        Path filePath = Paths.get("src/main/resources/" + filename);
        return Files.readString(filePath, StandardCharsets.UTF_8);
    }
   
   
    public static String removeLineBreaksReplace(String content) throws Exception {
        // Replace newline character with an empty string
        String noLineBreaks = content.replace("\n", "");
        // Replace carriage return character with an empty string
        noLineBreaks = noLineBreaks.replace("\r", "");
        return noLineBreaks;
    }
    
    
    public static void main(String[] args) {
        try {
            // Call the removeLineBreaksReplace method with content as argument
            String content = readFromFile("javacodegeeks.txt");
            String result = removeLineBreaksReplace(content);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
